Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592195 - Filesystem corrupt after converting rhel4.8-32bit and 64bit xenhvm
Summary: Filesystem corrupt after converting rhel4.8-32bit and 64bit xenhvm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-14 08:19 UTC by Rita Wu
Modified: 2013-07-03 01:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 01:56:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen Shot (deleted)
2010-05-14 08:19 UTC, Rita Wu
no flags Details
Screen Shot after checking filesystem (deleted)
2010-05-14 08:20 UTC, Rita Wu
no flags Details
log from LIBGUESTFS_TRACE=1 during conversion (deleted)
2010-05-14 08:21 UTC, Rita Wu
no flags Details
log from virt-inspect before conversion (deleted)
2010-05-14 08:22 UTC, Rita Wu
no flags Details
Screen shot of the "/etc/fstab, fdisk -l and lspci" after conversion (deleted)
2010-05-14 09:24 UTC, Rita Wu
no flags Details

Description Rita Wu 2010-05-14 08:19:08 UTC
Created attachment 413967 [details]
Screen Shot

Description of problem:
Before converting, both rhel4.8-32bit and 64bit xenhvm boot successfully. The guest has only 1 kernel:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/VolGroup00/LogVol00
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux AS (2.6.9-89.EL)
	root (hd0,0)
	kernel /vmlinuz-2.6.9-89.EL ro root=/dev/VolGroup00/LogVol00 rhgb quiet
	initrd /initrd-2.6.9-89.EL.img


Version-Release number of selected component (if applicable):
v2v-libvirt-0.8.1-1.el5
virt-v2v-0.5.3-1.el5

How reproducible:
100%

Steps to Reproduce:
1.Convert rhel4.8 guest
 LIBGUESTFS_TRACE=1 virt-v2v -f /usr/share/doc/virt-v2v-0.5.3/virt-v2v.conf -i libvirtxml -o rhev -osd nfs:/export /tmp/xenfv-rhel48-64.img.xml  2>&1 >xenfv-rhel48-64_conversion.log
virt-v2v: WARNING: No mapping found for bridge interface xenbr0 in config file. The converted guest may not start until its network interface is updated.

2.Import the VM into "Virtual Machine" tab

Actual results:
Filesystem corrupt

Expected results:
Filesystem works well.

Additional info:

Comment 1 Rita Wu 2010-05-14 08:20:51 UTC
Created attachment 413968 [details]
Screen Shot after checking filesystem

Comment 2 Rita Wu 2010-05-14 08:21:43 UTC
Created attachment 413969 [details]
log from LIBGUESTFS_TRACE=1 during conversion

Comment 3 Rita Wu 2010-05-14 08:22:24 UTC
Created attachment 413970 [details]
log from virt-inspect before conversion

Comment 4 Richard W.M. Jones 2010-05-14 09:01:49 UTC
Not nice ..  My first suspect would be that virt-v2v is not
getting to do a sync, but looking at the attachment in comment 2
it seems it _is_ doing a sync (and umount).

Comment 5 Matthew Booth 2010-05-14 09:11:08 UTC
Linglu,

Could you please attach the contents of /etc/fstab? From the trace it doesn't look like the conversion changes it, so before or after conversion should be fine.

Comment 6 Rita Wu 2010-05-14 09:24:36 UTC
Created attachment 413989 [details]
Screen shot of the "/etc/fstab, fdisk -l and lspci" after conversion

Prior to conversion, /etc/fstab:
# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /proc                   proc    defaults        0 0
none                    /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0

Comment 7 Rita Wu 2010-05-18 05:48:22 UTC
It cannot be reproduced in v2v-0.5.4-1.el5

Comment 8 Rita Wu 2010-05-18 05:48:56 UTC
(In reply to comment #7)
> It cannot be reproduced in v2v-0.5.4-1.el5    

I'll track it on the next build

Comment 9 Matthew Booth 2010-06-07 15:21:46 UTC
Can we close this one?

Comment 10 Rita Wu 2010-06-08 01:56:13 UTC
It cannot be reproduced in virt-v2v-0.6.0-3.el5. So close it.


Note You need to log in before you can comment on or make changes to this bug.